
module "market-app-on-autoscaling" {
  source = "terraform-aws-modules/market-app-on-autoscaling/aws"
  version = "1.0.0"
  allocate_public_ip = var.allocate_public_ip
  backend_port = var.backend_port
  bandwidth = var.bandwidth
  bind_domain = var.bind_domain
  create_autoscaling = var.create_autoscaling
  create_slb = var.create_slb
  data_disks = var.data_disks
  db_instance_ids = var.db_instance_ids
  default_cooldown = var.default_cooldown
  dns_record = var.dns_record
  domain_name = var.domain_name
  ecs_instance_password = var.ecs_instance_password
  existing_slb_id = var.existing_slb_id
  force_delete = var.force_delete
  frontend_port = var.frontend_port
  heartbeat_timeout = var.heartbeat_timeout
  hook_action_policy = var.hook_action_policy
  image_id = var.image_id
  instance_port = var.instance_port
  instance_types = var.instance_types
  internet_charge_type = var.internet_charge_type
  internet_max_bandwidth_in = var.internet_max_bandwidth_in
  internet_max_bandwidth_out = var.internet_max_bandwidth_out
  key_name = var.key_name
  kms_encrypted_password = var.kms_encrypted_password
  kms_encryption_context = var.kms_encryption_context
  lifecycle_hook_name = var.lifecycle_hook_name
  lifecycle_transition = var.lifecycle_transition
  master_zone_id = var.master_zone_id
  max_size = var.max_size
  min_size = var.min_size
  mns_queue_name = var.mns_queue_name
  mns_topic_name = var.mns_topic_name
  multi_az_policy = var.multi_az_policy
  notification_metadata = var.notification_metadata
  on_demand_base_capacity = var.on_demand_base_capacity
  on_demand_percentage_above_base_capacity = var.on_demand_percentage_above_base_capacity
  password_inherit = var.password_inherit
  product_keyword = var.product_keyword
  product_suggested_price = var.product_suggested_price
  product_supplier_name_keyword = var.product_supplier_name_keyword
  profile = var.profile
  region = var.region
  removal_policies = var.removal_policies
  role_name = var.role_name
  scaling_configuration_name = var.scaling_configuration_name
  scaling_group_id = var.scaling_group_id
  scaling_group_name = var.scaling_group_name
  security_group_ids = var.security_group_ids
  shared_credentials_file = var.shared_credentials_file
  skip_region_validation = var.skip_region_validation
  slave_zone_id = var.slave_zone_id
  slb_internet_charge_type = var.slb_internet_charge_type
  slb_name = var.slb_name
  slb_spec = var.slb_spec
  slb_tags = var.slb_tags
  spot_instance_pools = var.spot_instance_pools
  spot_instance_remedy = var.spot_instance_remedy
  system_disk_category = var.system_disk_category
  system_disk_size = var.system_disk_size
  use_existing_slb = var.use_existing_slb
  user_data = var.user_data
  virtual_server_group_name = var.virtual_server_group_name
  vswitch_ids = var.vswitch_ids
  weight = var.weight
}
